smartptr.h File Reference

Classes for automatic resource management. More...

Go to the source code of this file.

## Classes

class | simple_ptr< T >
| Manages resources for a single object. More...
class | member_ptr< T >
| Pointer that overloads operator -> More...
class | value_ptr< T >
| Value pointer. More...
class | clonable_ptr< T >
| A pointer which can be copied and cloned. More...
class | counted_ptr< T >
| Reference counted pointer. More...
class | vector_member_ptrs< T >
| Manages resources for an array of objects. More...

## Detailed Description

Classes for automatic resource management.

Definition in file smartptr.h.